body {
    &.admin-bar {
        .menu-content {
            top: 32px;
        }
    }
}

#lecoqlibre-voile-sidemenu {
    width: var( --wp--custom--lecoqlibre-voile--sidemenu--disabled--desktop--width );
    opacity: 0;
    background-color: var( --wp--custom--lecoqlibre-voile--sidemenu--disabled--desktop--bg );
    transition: all 0.3s ease-in-out;

    [slot="content"] {
        width: var( --wp--custom--lecoqlibre-voile--sidemenu--disabled--desktop--width );
        height: 100vh;
        display: flex;
        align-items: center;
        flex-direction: column;
        transition: all 0.3s ease-in-out;

        #menus {
            display: flex;
            flex-direction: column;
            justify-content: space-evenly;
            padding: 
                var( --wp--custom--lecoqlibre-voile--sidemenu--enabled--desktop--padding--top ) 
                var( --wp--custom--lecoqlibre-voile--sidemenu--enabled--desktop--padding--left ) 
                var( --wp--custom--lecoqlibre-voile--sidemenu--enabled--desktop--padding--bottom ) 
                var( --wp--custom--lecoqlibre-voile--sidemenu--enabled--desktop--padding--right );
            width: calc( 100% - var( --wp--custom--lecoqlibre-voile--sidemenu--enabled--desktop--padding--left ) - var( --wp--custom--lecoqlibre-voile--sidemenu--enabled--desktop--padding--right ) );
        }
        
        .menu {
            padding: 0;
            width: 100%;
            list-style-type: none;
        }

        .custom-logo-link {
            text-align: center;

            .custom-logo {
                width: 80%;
                height: auto;
            }
        }
    }
    
    &[ enabled ] {
        width: var( --wp--custom--lecoqlibre-voile--sidemenu--enabled--desktop--width );
        opacity: 100;
        background-color: var( --wp--custom--lecoqlibre-voile--sidemenu--enabled--desktop--bg );
        flex-shrink: 0;
        
        [slot="content"] {
            width: 100%;
            position: sticky;
            top: 0;
        }
    }

    @media( max-width: 320px ) {
        width: 100%;
        height: calc( 100% - var( --wp--custom--lecoqlibre-voile--sidemenu--enabled--mobile--height ) );
        position: fixed;
        top: var( --wp--custom--lecoqlibre-voile--sidemenu--enabled--mobile--height );
        overflow-y: scroll;

        &[enabled] {
            width: 100%;
            order: -1;
            z-index: 30;

            [slot="content"] {
                position: unset;
                top: unset;
            }
        }
    }
}

lecoqlibre-switcher[for="lecoqlibre-voile-sidemenu"] {
    width: var( --wp--custom--lecoqlibre-voile--sidemenu--switcher--disabled--desktop--width );
    z-index: 5;
    background-color: var( --wp--custom--lecoqlibre-voile--sidemenu--switcher--disabled--desktop--bg );
    transition: width 0.3s ease-in-out;
    flex-shrink: 0;
    
    [slot="switcher"] {
        width: 100%;
        height: 100vh;
        position: sticky;
        top: 0;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    &[ enabled ] {
        width: var( --wp--custom--lecoqlibre-voile--sidemenu--switcher--enabled--desktop--width );
        background-color: var( --wp--custom--lecoqlibre-voile--sidemenu--switcher--enabled--desktop--bg );
    }

    @media( max-width: 320px ) {
        width: 100%;
        height: var( --wp--custom--lecoqlibre-voile--sidemenu--enabled--mobile--height );
        order: -2;
        background-color: var( --wp--custom--lecoqlibre-voile--sidemenu--switcher--disabled--mobile--bg );
        position: sticky;
        top: 0;
        z-index: 20;

        [slot="switcher"] {
            position: relative;
            top: unset;
            height: 100%;
        }

        &[enabled] {
            width: unset;
            background-color: var( --wp--custom--lecoqlibre-voile--sidemenu--switcher--enabled--mobile--bg );
        }
    }
}